#!/bin/sh

# retrieve script directory
DIR="$( cd "$( dirname "$0" )" && pwd )"
	
# change permissions to ddf executable
chmod +x $DIR"/ddf"

# branch to the right place (depending on # of input arguments)
if [ $# -eq 0 ]; then
	
	# call ddf executable (in GUI mode)
	$DIR"/ddf" $DIR

else

	# call ddf executable (in CLI mode)
	$DIR"/ddf" -consoleLog -noSplash $DIR "$@"

fi

# Exit back to the caller
exit $?
