@echo off

rem -----------------------------------------------------------------------
rem @deprecated
rem Use get_agent_info.sh instead
rem
rem Searches endpoint.properties for unmanagedAgent and 
rem AgentManagerQuery.Host properties.
rem
rem @return
rem	result=fail 
rem				In case property file not found
rem	
rem	result=success,agent_am_ip=unmanaged
rem				In case unmanagedAgent property set to true
rem	
rem	result=success,agent_am_ip=<agent manager IP>
rem				This is the value of AgentManagerQuery.Host
rem				In case unmanagedAgent property set to true
rem
rem ------------------------------------------------------------------------

set endpoint_properties="C:\Program Files\IBM\Director\agent\runtime\agent\config\endpoint.properties"

if not exist %endpoint_properties% set endpoint_properties="C:\Program Files (x86)\IBM\Director\agent\runtime\agent\config\endpoint.properties"

if not exist %endpoint_properties% goto ERROR

rem ------------------------------------------------
rem Extracting AgentManagerQuery.Host from the file
rem ------------------------------------------------

for /f "tokens=*" %%a in ('findstr AgentManagerQuery.Host %endpoint_properties%') do (
    set AgentManagerAddressLine=%%a
)

for /f "delims=\=" %%a in (""%AgentManagerAddressLine%"") do (
	set substrings=%%a
)

for /f "tokens=1-2" %%a in (%substrings%) do (
	set agent_manager_ip=%%b
)

rem ------------------------------------------------
rem Extracting unmanagedAgent from the file
rem ------------------------------------------------

for /f "tokens=*" %%a in ('findstr unmanagedAgent %endpoint_properties%') do (
    set unmanagedAgentLine=%%a
)

for /f "delims=\=" %%a in (""%unmanagedAgentLine%"") do (
	set substrings=%%a
)

for /f "tokens=1-2" %%a in (%substrings%) do (
	set unmanagedAgent=%%b
)

if "%unmanagedAgent%" == "true" (
	echo result=success,agent_am_ip=unmanaged
	GOTO FINAL
)	

echo result=success,agent_am_ip=%agent_manager_ip%

GOTO FINAL

:ERROR

echo result=fail

:FINAL

exit /b 0
